public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alex Brandt" <alunduil@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/expects/
Date: Mon, 17 Aug 2015 01:57:36 +0000 (UTC)	[thread overview]
Message-ID: <1439776627.a18da92445ac3c1ab602a1d067e8501a673ba954.alunduil@gentoo> (raw)

commit:     a18da92445ac3c1ab602a1d067e8501a673ba954
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 00:07:07 2015 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 01:57:07 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a18da924

dev-python/expects: add version 0.8.0_rc2

Package-Manager: portage-2.2.20.1

 dev-python/expects/Manifest                 |  1 +
 dev-python/expects/expects-0.8.0_rc2.ebuild | 40 +++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/expects/Manifest b/dev-python/expects/Manifest
index 9778158..3a55404 100644
--- a/dev-python/expects/Manifest
+++ b/dev-python/expects/Manifest
@@ -3,3 +3,4 @@ DIST expects-0.4.2.tar.gz 23813 SHA256 b1e0b27141f784fe81a143153f23d3c8220fe8ec1
 DIST expects-0.7.1.tar.gz 398062 SHA256 8c6c26b41877f8133b8bdbef1dda2eeb49367f63909e93aee6402c93db37d08f SHA512 969fe68d9978e1d22a0ef3cfcd2072ca5aaefcfaa52e9aa3b20791fc9e82a4cd7962096320b1898a9bdb64803174c15908351966fc5bcdbbe54954fbe85962cc WHIRLPOOL 9a7c6d48943f3ca14657ffa603c1d353d440c39b5ca51c29dccc15936dd3897a72a7951cef95305f07a01ed5659a53df1920b14208e66b141a1c5348cc83cd30
 DIST expects-0.7.2.tar.gz 398201 SHA256 ed72a184c2453b4f244cf887ee4545ac40dc0d88a1a224eabf150980a88877a9 SHA512 55db29e2bbba881933bf5d28e38f2c1e1087b4e43f15359a2af40e91066658973244fac4dcaf7eca79d6006d78d232232acbd1a2fc03ec1df62223e1226fb94a WHIRLPOOL 9eae839eb607f29f57be70e39fc6adb02fa8b9038d070016c090f75dec5ce05528fd3d18ca72e1d2aaa4205df31f20521fc23ad741b1b73b54262ac273e9e14e
 DIST expects-0.8.0_rc1.tar.gz 27424 SHA256 3822d470c3bebe749928e360e7bfdecf0ac6541717040de31cb265f1372dfb43 SHA512 5130b545164fdb8d8306b5d4fc3d83dcfaf9bb56428b9140def434bb1339b479568ba7aab88f5eedf646cadca12ee331163af5be0937633049baf695b309653b WHIRLPOOL 951ab90c1b3c143b3109676207c5f2a5480238555d10662f45c1a1336618c0e38307801aa0e61fc8bc978d333f3f44cd64da811742ebc65008815e635d0536d9
+DIST expects-0.8.0_rc2.tar.gz 27307 SHA256 c7959a0b0f76a186b1d3687fbdedaf551f8bbbddbd66e5307c3a52c787a779de SHA512 6ae4553838ce4d27993772cec33f1e1a18d539af4a9b0f62f66ef1fb78464a46f5b76a420096d2d36881f4dc581b69e8f6c8783b89d794df753fdffab275cc33 WHIRLPOOL 04a04534571e8a15bcc2e1d7a9fc2b63bb772a8adaaf0b6239d375f1e5f750be7d7fa9fd10f5d84f017c4e3ad6274a7955e5b70928ee6eec7c199181169e5741

diff --git a/dev-python/expects/expects-0.8.0_rc2.ebuild b/dev-python/expects/expects-0.8.0_rc2.ebuild
new file mode 100644
index 0000000..f96e461
--- /dev/null
+++ b/dev-python/expects/expects-0.8.0_rc2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PV=${PV/_/}
+
+DESCRIPTION="Expressive and extensible TDD/BDD assertion library for Python"
+HOMEPAGE="https://github.com/jaimegildesagredo/expects"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? ( dev-python/mamba[${PYTHON_USEDEP}] )
+"
+RDEPEND=""
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	mamba || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2015-08-17  1:57 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-17  1:57 Alex Brandt [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-08-17  1:57 [gentoo-commits] repo/gentoo:master commit in: dev-python/expects/ Alex Brandt
2015-10-11  4:07 Alex Brandt
2015-10-11  4:07 Alex Brandt
2015-10-11  4:07 Alex Brandt
2015-10-11  4:07 Alex Brandt
2015-10-24 20:42 Alex Brandt
2015-10-24 20:42 Alex Brandt
2015-10-25  9:00 Michał Górny
2016-05-15 21:14 Alex Brandt
2016-05-15 21:14 Alex Brandt
2016-05-15 21:14 Alex Brandt
2016-05-16  1:19 Alex Brandt
2016-05-28 15:21 Alex Brandt
2016-05-28 15:21 Alex Brandt
2017-03-13 18:10 Manuel Rüger
2017-03-13 18:14 Manuel Rüger
2017-05-11 12:28 Manuel Rüger
2018-03-30 18:35 Aaron Bauman
2020-02-03 20:46 Michał Górny
2020-03-08 10:42 Agostino Sarubbo
2020-03-27  8:58 Michał Górny
2020-05-05 11:51 Joonas Niilola
2020-09-05  0:29 Sam James
2020-09-13 17:56 Louis Sautier
2020-11-02  9:47 Sam James
2020-11-04  5:32 Sam James
2021-08-07 11:18 Louis Sautier
2023-02-15 14:15 Michał Górny
2023-03-17 16:19 Arthur Zamarin
2023-03-17 17:27 Michał Górny
2023-11-09 18:53 Michał Górny
2024-05-18 16:59 Michał Górny
2024-08-10 12:57 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1439776627.a18da92445ac3c1ab602a1d067e8501a673ba954.alunduil@gentoo \
    --to=alunduil@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox